Get a work skill
/rest/ofscMetadata/v1/workSkills/{label}
Request
-
label(required): string
Minimum Length:
1Maximum Length:40The label of the work skill.
Response
- application/json
- application/schema+json
200 Response
objectWork Skills-
active(required):
boolean
Title:
ActiveContains one of the following values: true or false.If true, then the work skill is active. If false, then the work skill is inactive. By default, it is true.
-
label:
string
Title:
LabelMinimum Length:1Maximum Length:40The label of the work skill specified in the request. -
name:
string
Title:
NameThe name of the work skill in user's language. -
sharing(required):
string
Title:
SharingAllowed Values:[ "no sharing", "maximal", "minimal", "summary" ]The sharing option defined for work skills in the team.The allowed values are as follows:
- Maximal: The team gets the maximum work skill level of all team members. This is the default value.
- Minimal: The team gets the minimal work skill level of all team members.
- No sharing: The team does not get the work skill of a team member.
- Summary: The team gets the total sum of work skill levels of all the team members.
-
translations:
array Translations
Title:
TranslationsThe list of translations associated with the name of the work skill.
arrayTranslationsobject-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
Default Response
object-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to get a specific work skill having a specified label by submitting a GET request on the REST resource using cURL.
Example of Request Header
The following shows an example of the request header.
PUT /rest/ofscMetadata/v1/workSkills/NP HTTP/1.0 Host: <instance_name>.fs.ocs.oraclecloud.com Authorization: Basic c29hcEBwZXRyb2xpYXNoZXZ5Y2gucmVzdDox Accept: */* Content-Length: 228
Example of Request Body
The following example shows the contents of the request body in JSON format.
{
"active":true,
"sharing":"maximal",
"translations":
[
{
"language":"en",
"name":"Non-Pay"
}
]
}
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 201 Created Server: nginx/1.6.2 Date: Fri, 24 Jul 2015 08:54:08 GMT Content-Type: application/json; charset=utf-8 Transfer-Encoding: chunked Connection: keep-alive
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"label":"NP",
"name":"Non-Pay",
"active":true,
"sharing":"maximal",
"translations":[
{
"language":"en",
"name":"Non-Pay"
}
]
},
"links":[
{
"rel":"canonical",
"href":"https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/workSkills/NP"
},
{
"rel": "workSkillConditions",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadataV2/v1/workSkills/NP/workSkillConditions"
},
{
"rel":"describedby",
"href":"https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/workSkills"
}
]
}